﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MultiColumnComboNewValueTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<SampleData> Data { get; set; }
        public MainWindow()
        {
            InitializeComponent();

            Data = new ObservableCollection<SampleData>();

            string[] letters = "a;b;c;d".Split(';');

            for(int i=0; i < letters.Length; i++)
            {
                Data.Add(new SampleData() { ID = i, Letter = letters[i] });
            }

            this.DataContext = this;
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Letter { get; set; }
    }
}
